var guiobjects = new Array(
    new Array("record", "Re-record"),
    new Array("stop", "Stop"),
    new Array("play", "Play"),
    new Array("hint", "Click on the &lt;Complete&gt; button below to complete recording and save your answer."),
    new Array("save", "Complete")
); for (var i = 0; i < guiobjects.length; i++) document.getElementById(guiobjects[i][0]).innerHTML = guiobjects[i][1];